Commet
  • Pricing
Log InTry out
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Upsert regional prices

Create or update regional currency price overrides for a plan price.

Update plan PUT

Update a plan's name, description, visibility, or metadata.

Request portal access POST

Generate a customer portal URL. Exactly one identifier (email or customerId) is required.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

PUT
/plans/{id}/prices/{priceId}/regional
id*string
priceId*string
overrides*array<>
Items1 <= items
curl -X PUT "https://commet.co/api/v1/plans/string/prices/string/regional" \  -H "Content-Type: application/json" \  -d '{    "overrides": [      {        "currency": "string",        "price": 0      }    ]  }'

Create or update regional currency price overrides for a plan price.

Plan public ID

Price public ID

{
  "success": true,
  "data": {
    "object": "plan",
    "livemode": true,
    "priceId": "string",
    "overrides": [
      {
        "currency": "string",
        "price": 0,
        "includedBalance": 0
      }


{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
]
}
}